Bug 1318022 - creating a product reindexes all subscriptions, causing slowness
Summary: creating a product reindexes all subscriptions, causing slowness
Keywords:
Status: CLOSED DUPLICATE of bug 1317646
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Performance
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-15 19:07 UTC by Chris Duryee
Modified: 2019-04-01 20:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-15 19:33:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13671 None None None 2016-04-22 15:36:37 UTC
Red Hat Bugzilla 1317646 None None None Never

Internal Links: 1317646

Description Chris Duryee 2016-03-15 19:07:18 UTC
Description of problem:

As you create products, the product creation gets slower and slower. There is a reindex happening at the end of product creation which makes this happen.

Version-Release number of selected component (if applicable): 6.2.0 snap 3


How reproducible: every time


Steps to Reproduce:
1. create 100 products
2. create another product via hammer

Actual results: product creation is very slow


Expected results: product creation should stay the same speed as more products are added


Additional info:

see http://projects.theforeman.org/issues/13671


Note You need to log in before you can comment on or make changes to this bug.